Bug 1426850 - Re-enable ARMv7 builds on all releases
Summary: Re-enable ARMv7 builds on all releases
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 26
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker F26AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2017-02-25 17:56 UTC by Peter Robinson
Modified: 2017-03-06 17:20 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-06 17:20:00 UTC


Attachments (Terms of Use)
diff for firefox.spec with workaround for arm (1.28 KB, patch)
2017-03-01 12:38 UTC, Mamoru TASAKA
no flags Details | Diff

Description Peter Robinson 2017-02-25 17:56:31 UTC
There doesn't seem to be a bug to track why the ARMv7 builds of firefox have been disabled, nor has there been any engagement with the ARM team and now it's blocking nss upgrades in stable releases and bug reports to IRC etc.

Please re-enable firefox on ARMv7

Comment 1 Martin Stransky 2017-02-27 10:14:15 UTC
Added to firefox-51.0.1-8.

Comment 3 Martin Stransky 2017-02-28 11:32:14 UTC
All ARMv7 builds fail in JS with:

Assertion failure: !joinable(), at /builddir/build/BUILD/firefox-51.0.1/firefox-51.0.1/js/src/threading/Thread.h:122

https://kojipkgs.fedoraproject.org//work/tasks/1502/18091502/build.log
https://kojipkgs.fedoraproject.org//work/tasks/1503/18091503/build.log
https://kojipkgs.fedoraproject.org//work/tasks/1461/18091461/build.log

Comment 4 Fedora End Of Life 2017-02-28 12:26:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Paul Whalen 2017-02-28 17:03:21 UTC
Proposing as an alpha blocker, firefox is the default browser on XFCE which is a release blocking desktop image on arm.

Comment 6 Martin Stransky 2017-03-01 07:45:19 UTC
We don't have a fix for that and I don't expect we can fix that in some reasonable time frame.

Comment 7 Peter Robinson 2017-03-01 07:59:12 UTC
(In reply to Martin Stransky from comment #6)
> We don't have a fix for that and I don't expect we can fix that in some
> reasonable time frame.

Why has it regressed, it's been fine until v50, it's causing the ARM team quite an increase in support requests too due to the issue that it blocks nss* updates. What are the upstream BZs?

Comment 8 Martin Stransky 2017-03-01 08:07:08 UTC
There's no upstream BZ for that AFAIK. Feel free to file one or I can do so.
Do you say that this FF failure blocks NSS update? I don't understand how, nss can be updated without FF.

Comment 9 Peter Robinson 2017-03-01 11:01:32 UTC
(In reply to Martin Stransky from comment #8)
> There's no upstream BZ for that AFAIK. Feel free to file one or I can do so.
> Do you say that this FF failure blocks NSS update? I don't understand how,
> nss can be updated without FF.

It does. I'll need to go and find a host to test the dnf side of things on but because firefox on ARM is now stuck at 50 dnf excludes the nss* updates unless you remove firefox.

Comment 10 Martin Stransky 2017-03-01 11:09:04 UTC
(In reply to Peter Robinson from comment #9)
> (In reply to Martin Stransky from comment #8)
> > There's no upstream BZ for that AFAIK. Feel free to file one or I can do so.
> > Do you say that this FF failure blocks NSS update? I don't understand how,
> > nss can be updated without FF.
> 
> It does. I'll need to go and find a host to test the dnf side of things on
> but because firefox on ARM is now stuck at 50 dnf excludes the nss* updates
> unless you remove firefox.

Yes, I understand now. There's an incompatible nss update (IIRC 3.28.1). Firefox 51 got a special patches for it which Firefox 50 does not have.

Comment 11 Peter Robinson 2017-03-01 11:18:14 UTC
Yep so I get:

Error: package nss-3.28.1-1.3.fc25.armv7hl conflicts with firefox < 50.1.0-3 provided by firefox-49.0-2.fc25.armv7hl

Comment 12 Kai Engert (:kaie) (inactive account) 2017-03-01 12:06:01 UTC
If you upgrade NSS, but keep old Firefox, then Firefox fails to connect to many services, including many google servers.

Comment 13 Mamoru TASAKA 2017-03-01 12:38:48 UTC
Created attachment 1258671 [details]
diff for firefox.spec with workaround for arm

Using

echo 'ac_add_options --enable-optimize="-g -O2 -fno-schedule-insns"' >> .mozconfig

seems to make compilation pass for armv7hl.
The above flag is written on:
https://bugzilla.mozilla.org/show_bug.cgi?id=1337263
(note that the title of above bug says "arm64", comment 3 says the above is "armhf chroot on a arm64 host")
Although there may be performance regression...

Scratch build here:
https://koji.fedoraproject.org/koji/taskinfo?taskID=18117365
Note that build takes 8 hours...

Comment 14 Mamoru TASAKA 2017-03-01 12:56:11 UTC
(In reply to Mamoru TASAKA from comment #13)
> Created attachment 1258671 [details]
> diff for firefox.spec with workaround for arm
> 

Changes for s390 s390x is just a mistake.

Comment 15 Paul Whalen 2017-03-01 15:00:14 UTC
The scratch build works as expected on armhfp, passing Alpha browser tests.

Comment 16 Martin Stransky 2017-03-02 10:34:09 UTC
Okay, let's raise priority of this one as it blocks nss update. I'll look into it when I finish recent ppc64 crashes.

Comment 17 Martin Stransky 2017-03-02 11:08:32 UTC
I added the -g -O2 -fno-schedule-insns build flags to firefox-51.0.1-10.fc26 build let's see how it goes.

Comment 18 Mamoru TASAKA 2017-03-02 11:26:48 UTC
(In reply to Martin Stransky from comment #17)
> I added the -g -O2 -fno-schedule-insns build flags to firefox-51.0.1-10.fc26
> build let's see how it goes.

Please try building for F-26 actually (now F-27 and F-26 is branched : rawhide is now .fc27).

Comment 19 Martin Stransky 2017-03-02 11:52:08 UTC
(In reply to Mamoru TASAKA from comment #18)
> (In reply to Martin Stransky from comment #17)
> > I added the -g -O2 -fno-schedule-insns build flags to firefox-51.0.1-10.fc26
> > build let's see how it goes.
> 
> Please try building for F-26 actually (now F-27 and F-26 is branched :
> rawhide is now .fc27).

Done.

Comment 20 Mamoru TASAKA 2017-03-03 01:32:51 UTC
F-27 F-25 F-24 build completed.
F-26's build failure seems to be due to some koji database error. Resubmitted myself (and again it takes 8 hours...)

Comment 21 Mamoru TASAKA 2017-03-03 09:46:03 UTC
F-26 also finished successfully.

Comment 22 Paul Whalen 2017-03-06 17:20:00 UTC
Closing, this is fixed in firefox-51.0.1-11. Thanks Mamoru!


Note You need to log in before you can comment on or make changes to this bug.